BuildException (Apache Ant API)
Description: declaration: package: org.apache.tools.ant, class: BuildException

Package org.apache.tools.ant

# Class BuildException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.tools.ant.BuildException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `BuildTimeoutException`, `ExitStatusException`, `UnsupportedAttributeException`, `UnsupportedElementException`

    public class BuildException
    extends java.lang.RuntimeException

Signals an error condition during a build

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BuildException()` | Constructs a build exception with no descriptive information.
  `BuildException​(java.lang.String message)` | Constructs an exception with the given descriptive message.
  `BuildException​(java.lang.String pattern, java.lang.Object... formatArguments)` | Constructs an exception with the given format pattern and arguments.
  `BuildException​(java.lang.String message, java.lang.Throwable cause)` | Constructs an exception with the given message and exception as a root cause.
  `BuildException​(java.lang.String message, java.lang.Throwable cause, Location location)` | Constructs an exception with the given message and exception as a root cause and a location in a file.
  `BuildException​(java.lang.String message, Location location)` | Constructs an exception with the given descriptive message and a location in a file.
  `BuildException​(java.lang.Throwable cause)` | Constructs an exception with the given exception as a root cause.
  `BuildException​(java.lang.Throwable cause, Location location)` | Constructs an exception with the given exception as a root cause and a location in a file.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Throwable` | `getException()` | Deprecated. Use `Throwable.getCause()` instead.
  `Location` | `getLocation()` | Returns the file location where the error occurred.
  `void` | `setLocation​(Location location)` | Sets the file location where the error occurred.
  `java.lang.String` | `toString()` | Returns the location of the error and the error message.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BuildException

    public BuildException()
    Constructs a build exception with no descriptive information.

  - ### BuildException

    public BuildException​(java.lang.String message)
    Constructs an exception with the given descriptive message.
    Parameters:
      `message` - A description of or information about the exception. Should not be `null`.

  - ### BuildException

    public BuildException​(java.lang.String pattern, java.lang.Object... formatArguments)
    Constructs an exception with the given format pattern and arguments.
    Parameters:
      `pattern` - A description of or information about the exception. Should not be `null`.
      `formatArguments` - ditto
    Since:
      Ant 1.10.2
    See Also:
      `String.format(String, Object...)`

  - ### BuildException

    public BuildException​(java.lang.String message, java.lang.Throwable cause)
    Constructs an exception with the given message and exception as a root cause.
    Parameters:
      `message` - A description of or information about the exception. Should not be `null` unless a cause is specified.
      `cause` - The exception that might have caused this one. May be `null`.

  - ### BuildException

    public BuildException​(java.lang.String message, java.lang.Throwable cause, Location location)
    Constructs an exception with the given message and exception as a root cause and a location in a file.
    Parameters:
      `message` - A description of or information about the exception. Should not be `null` unless a cause is specified.
      `cause` - The exception that might have caused this one. May be `null`.
      `location` - The location in the project file where the error occurred. Must not be `null`.

  - ### BuildException

    public BuildException​(java.lang.Throwable cause)
    Constructs an exception with the given exception as a root cause.
    Parameters:
      `cause` - The exception that might have caused this one. Should not be `null`.

  - ### BuildException

    public BuildException​(java.lang.String message, Location location)
    Constructs an exception with the given descriptive message and a location in a file.
    Parameters:
      `message` - A description of or information about the exception. Should not be `null`.
      `location` - The location in the project file where the error occurred. Must not be `null`.

  - ### BuildException

    public BuildException​(java.lang.Throwable cause, Location location)
    Constructs an exception with the given exception as a root cause and a location in a file.
    Parameters:
      `cause` - The exception that might have caused this one. Should not be `null`.
      `location` - The location in the project file where the error occurred. Must not be `null`.

- ## Method Details

  - ### getException

    @Deprecated public java.lang.Throwable getException()
    Deprecated.
    Use `Throwable.getCause()` instead.
    Returns the nested exception, if any.
    Returns:
      the nested exception, or `null` if no exception is associated with this one

  - ### toString

    public java.lang.String toString()
    Returns the location of the error and the error message.
    Overrides:
      `toString` in class `java.lang.Throwable`
    Returns:
      the location of the error and the error message

  - ### setLocation

    public void setLocation​(Location location)
    Sets the file location where the error occurred.
    Parameters:
      `location` - The file location where the error occurred. Must not be `null`.

  - ### getLocation

    public Location getLocation()
    Returns the file location where the error occurred.
    Returns:
      the file location where the error occurred.